Kerbal Space Program - Bug #3639

Tech Tree has unselectable options, can also research items without requirements met
12/02/2014 08:47 PM - sarge21rvb

Status: Closed Start date: 12/02/2014
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.25 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

In the tech three, some of the options are grayed out and unselectable until both of its prereqs are met, though most are still
viewable. Some options can be claimed with science without the preregs being met (see screenshot). The parts it offers are all
available and don't seem to cause any issues when used. It doesn't seem to be related to the item being grayed out; Nuclear
Propulsion was grayed, but one of the bottom ones was not, but still claimable without preregs.

Version: 0.25.0.642 (Steam)

I've attached a butt-load of info. If you need anything else, let me know.

Related issues:
Has duplicate Kerbal Space Program - Bug #3974: Advanced MetalWorks lists Act... Duplicate 01/17/2015

History

#1 - 12/03/2014 10:34 AM - quietghost
- Status changed from New to Not a Bug
- % Done changed from 0 to 100

- Platform Any added

- Platform deleted (Windows)

Ah yes, | fell for the exact same thing when | reported this bug. The game would make you think that you need both prerequisites to research a tech,
but alas certain techs only require one of their prerequisites. (See Wiki on techs http://wiki.kerbalspaceprogram.com/wiki/Tech_tree) Perhaps this
issue needs to be restated in feedback ;D, | have you covered there.

#2 - 12/03/2014 12:19 PM - sarge21rvb

Huh, interesting. Thanks for letting me know!

#3 - 01/19/2015 10:04 AM - Squelch
- Status changed from Not a Bug to Confirmed

- % Done changed from 100 to 10

The whole of tier 6 of the tech tree can be researched with only one lower requirement. With the recent changes that 0.90 brings, this becomes more
apparent.

This is believed to be a bug, and the status is changed accordingly.
#4 - 11/21/2015 11:06 AM - sal_vager

- Status changed from Confirmed to Resolved

- % Done changed from 10 to 100

The tech tree was revamped for 1.0.5, now all nodes either require any of their prerequisites (if more than one) or all, and this is marked in the R&D
screen, the only nodes requiring all prerequisites are nuclear and ion propulsion.

Thanks for the report :)
#5 - 07/17/2016 09:18 AM - TriggerAu

- Status changed from Resolved to Closed
